1. Browser
Anzenna Public API
  • How To Use the Anzenna Public API
  • AI Governance
    • Query all Shadow AI instances
      POST
    • Get a Shadow AI instance by id
      GET
    • Query all AI interactions
      POST
    • Get an AI interaction by id
      GET
    • List MCP servers
      POST
    • Get an MCP server
      GET
    • Query MCP server installations
      POST
  • Investigation
    • Query all investigations
      POST
    • Start an investigation
      POST
    • Get an investigation by id
      GET
    • Dismiss an investigation
      POST
    • Get detection investigation prompts
      GET
    • Get global investigation prompts
      GET
    • Get user investigation prompts
      GET
    • Query all risk registers
      POST
    • Query all risk register catalog entries
      POST
  • Identity
    • List accounts
      POST
    • Get an account by id
      GET
    • List login events
      POST
    • Get a login event by ID
      GET
    • Query all mfa statuses
      POST
    • Get an MFA status by id
      GET
    • Query all OAuth applications
      POST
    • Get an OAuth application by id
      GET
    • Query all OAuth application instances
      POST
    • Query all password reuse instances
      POST
  • Advanced
    • Execute an advanced query
    • List security events
    • Receive a webhook event
    • Query raw events
  • Detection
    • Query all allowlists
    • Create a new allowlist
    • Delete an allowlist
    • Update an allowlist
    • Get an anomaly by ID
    • Get key finding detections
    • Get detection details
    • List users associated with a given detection
    • Execute a remediation
  • Browser
    • Query all browser applications
      POST
    • Get a browser application by id
      GET
    • List browser application instances
      POST
    • List browser history entries
      POST
    • Query all remote machines
      POST
    • Get a remote machine by id
      GET
    • Query all web host resources
      POST
    • Get a web host resource by id
      GET
  • Data & IP
    • Query database exfiltration events
    • List file delete events
    • List file movement activities
    • Get file movement activity by id
    • List files used with data exfiltration.
    • Get a specific data exfiltration file
    • List git events
    • Get a specific git event by id
    • List git repositories
    • Get a specific git repository
    • List file sharing instances
    • Query database share grants
    • Query database share user additions
    • List documents
    • Get document by id
    • List DLP policies
    • Get a DLP policy by id
    • List DLP policy detectors
    • Query all DLP alerts
    • Get a DLP alert by id
  • Device
    • List devices
    • Get a device
    • List device applications
    • Get a device application
    • Query device application instances.
    • List device infections
    • Get a device infection
    • List device policies
    • Get a device policy
    • List USB device connection events
    • Get a USB connection event
    • List IDE applications
    • Get an IDE application
    • Query IDE application instances.
  • Email
    • Query all outbound email events
    • Get an outbound email event by id
    • Query all phishing interactions
  • Company
    • List groups
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
    • Get company risk trends
    • Get number of high risk organizations
  • SaaS
    • Query all Shadow IT instances
  • Outreach
    • List training campaigns
    • Create a training campaign
  • API Key
    • Get API key information
  1. Browser

Get a browser application by id

GET
/browser/apps/{application_id}
Get a browser application by id

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/browser/apps/' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "allowlisted": true,
    "app_history": "string",
    "app_source": "unspecified",
    "browser_kind": "unspecified",
    "categories": [
        "unspecified"
    ],
    "description": "Do more in Google Chrome with Adobe Acrobat PDF tools. View, fill, comment, sign, and try convert and compress tools.",
    "developer": "Adobe, Inc.",
    "external_id": "efaidnbmnnnibpcajpcglclefindmkaj",
    "high_prevalence": true,
    "id": "8CA67511-744C-4D74-B26E-7281CF88712F",
    "instances": 32,
    "is_ai": true,
    "name": "Adobe Acrobat: PDF edit, convert, sign tools",
    "permissions": [
        "storage"
    ],
    "rating": 4.4,
    "reviews": 57600,
    "risk_categories": [
        "unspecified"
    ],
    "risk_description": "string",
    "risk_factors": [
        {
            "magnitude": 40,
            "type": "sensitive_file"
        }
    ],
    "risk_history": "string",
    "risk_score": 9.2,
    "source": "unspecified",
    "summary": "Adobe Acrobat provides PDF tools for viewing, editing, and signing documents directly in Chrome.",
    "type": "unspecified",
    "version": "25.5.4.2"
}
Modified at 2026-10-20 18:32:30
Previous
Query all browser applications
Next
List browser application instances
Built with